#!/bin/sh

INSTALL="cp -r"

INSTALL_TARGET_DIR=${GNUSTEP_LOCAL_ROOT}
DLL_TARGET_DIR=${INSTALL_TARGET_DIR}/Tools
FRAMEWORK_TARGET_DIR=${INSTALL_TARGET_DIR}/Library/Frameworks
APP_TARGET_DIR=${INSTALL_TARGET_DIR}/Applications

DLLS="Addresses.framework/Addresses.dll AddressView.framework/AddressView.dll"
FRAMEWORKS="Addresses.framework AddressView.framework"
APPS=AddressManager.app

function my_mkdir {
	if [ -d $1 ]; then
		return;
	fi
	echo Creating $1.
	mkdir -p $1 || (echo Could not create $1; exit -1)
}

function my_install {
        echo Installing $1 to $2.
        ${INSTALL} $1 $2 || (echo Failed; exit -1)
}

my_mkdir ${DLL_TARGET_DIR}
my_mkdir ${FRAMEWORK_TARGET_DIR}
my_mkdir ${APP_TARGET_DIR}

for file in ${DLLS}; do 
	my_install ${file} ${DLL_TARGET_DIR}; 
done
for file in ${FRAMEWORKS}; do 
	my_install ${file} ${FRAMEWORK_TARGET_DIR}; 
done
for file in ${APPS}; do 
	my_install ${file} ${APP_TARGET_DIR}; 
done

echo Done!
